is_uploaded_file
is_writeable
Filesystem Functions
PHP Manual

# is_writable

(PHP 4, PHP 5)

is_writable — Tells whether the filename is writable

### Description

bool is_writable ( string `$filename` )

Returns `TRUE` if the `filename` exists and is writable. The filename argument may be a directory name allowing you to check if a directory is writable.

Keep in mind that PHP may be accessing the file as the user id that the web server runs as (often 'nobody'). Safe mode limitations are not taken into account.

### Parameters

`filename`

  The filename being checked.

### Return Values

Returns `TRUE` if the `filename` exists and is writable.

### Examples

Example #1 is_writable() example

`<?php
$filename = 'test.txt';
if (is_writable($filename)) {
echo 'The file is writable';
} else {
echo 'The file is not writable';
}
?>`

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- is_readable() - Tells whether a file exists and is readable
- file_exists() - Checks whether a file or directory exists
- fwrite() - Binary-safe file write

is_uploaded_file
is_writeable
Filesystem Functions
PHP Manual